set -e

. ./conf.sh

lv_name=${1:?lv_name not set}

#echo "scanning scssi bus..."
#iscsiadm -m session -R
#sleep 1

#echo "reloading multipathd..."
#systemctl reload multipathd
#sleep 1

echo "creating pv..."
pvcreate --config "$lvm_config" \
	--metadatasize $pv_metadata_size \
	--metadatacopies 2 \
	--metadataignore y \
	$pv_name

echo "creating vg..."
vgcreate --config "$lvm_config" \
	--physicalextentsize $vg_extent_size \
	$vg_name \
	$pv_name

echo "creating lv..."
lvcreate --config "$lvm_config" \
	--autobackup n \
	--contiguous n \
	--size 1G \
	--name $lv_name \
	$vg_name

echo "activating lv..."
lvchange --config "$lvm_config" -ay $vg_name/$lv_name

echo "creating qcow2 image..."
qemu-img create -f qcow2 /dev/$vg_name/$lv_name 10G

read -p "Press Enter to extend drive"

echo "extending lv..."
lvextend --config "$lvm_config" --size 2G $vg_name/$lv_name

echo "refreshing lv..."
lvchange --config "$lvm_config" --refresh $vg_name/$lv_name

read -p "Press Enter to finish"

echo "deactivating lv..."
lvchange --config "$lvm_config" -an $vg_name/$lv_name

echo "removing lv..."
lvremove --config "$lvm_config" $vg_name/$lv_name

echo "removing vg..."
vgremove --config "$lvm_config" $vg_name

echo "removing pv..."
pvremove --config "$lvm_config" $pv_name
